petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESNGMRESSetRestartFmRise

Increase the restart count if the step x_M increases the residual F_M

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGMRESSetRestartFmRise(SNES snes,PetscBool flg)

### Input Parameters

+ snes - the SNES context. Many br- flg - boolean value deciding whether to use the option or not Many br

### Options Database

+ -snes_ngmres_restart_fm_rise - Increase the restart count if the step x_M increases the residual F_M Many br

Many br

### Notes

If the proposed step x_M increases the residual F_M, it might be trying to get out of a stagnation area. Many brTo help the solver do that, reset the Krylov subspace whenever F_M increases. Many br

This option must be used with SNES_NGMRES_RESTART_DIFFERENCE Many br

The default is FALSE. Many br.seealso: SNES_NGMRES_RESTART_DIFFERENCE Many br

Level:intermediate
Location:src/snes/impls/ngmres/snesngmres.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages